Package ghidra.program.util

# Class FunctionInlineFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.FunctionSignatureFieldLocation
ghidra.program.util.FunctionInlineFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class FunctionInlineFieldLocation extends FunctionSignatureFieldLocation
The `FunctionInlineFieldLocation` class provides specific information about the Function Inline field within a program location.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionInlineFieldLocation()`
  Default constructor needed for restoring a program location from XML
  `FunctionInlineFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature)`
  Construct a new FunctionInlineFieldLocation object.

- ## Method Summary

  ### Methods inherited from class ghidra.program.util.FunctionSignatureFieldLocation

  `equals, getSignature, hashCode, isFieldBasedPositioning, restoreState, saveState, toString`

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `getFunctionAddress, isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionInlineFieldLocation

    public FunctionInlineFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature)
    Construct a new FunctionInlineFieldLocation object.
    Parameters:
      `program` - the program of the location
      `locationAddr` - the address of the listing location (i.e., referent code unit)
      `functionAddr` - the function address
      `charOffset` - the position within the function inline string for this location.
      `signature` - the function signature string at this location.

  - ### FunctionInlineFieldLocation

    public FunctionInlineFieldLocation()
    Default constructor needed for restoring a program location from XML